Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418671 - browser fills in irelevant data in "Operating System" tab during New Host dialogue
Summary: browser fills in irelevant data in "Operating System" tab during New Host di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.2.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 13:34 UTC by Veaceslav Mindru
Modified: 2019-09-26 14:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20610 0 None None None 2017-08-15 14:10:08 UTC

Description Veaceslav Mindru 2017-02-02 13:34:09 UTC
Description of problem:

When trying to Operating System field, Media or Architecture field under "Operating System" tab in Satellite strange values are popped in, the field flickers a lot preventing proper user experience and overlapping with dropdown menu. 

Version-Release number of selected component (if applicable):

6.2.6

How reproducible:

Browser: Google-Chrome  

http://up1-qa.itos.redhat.com/#sgrwte3MxkuCeo8W8J8diw 


Steps to Reproduce:
1. go to "Operating System" tab
2. select some arch or operating system


Actual results:

browser starts prefeeling those fields with unexpected values 


Expected results:

browser should not prefeel those fields with unexpected values 

Additional info:

not taht when marking atucomplete=off this problem goes away

Comment 1 Veaceslav Mindru 2017-02-02 13:58:00 UTC
as a side note the autocomplete attribute should be avoided at all in those form. 
http://www.w3schools.com/tags/att_input_autocomplete.asp autocomplete is to indicate a browser that browser can prefill that field, this is the wrong behavior of this forms. 

https://www.w3.org/TR/2014/REC-html5-20141028/forms.html#attr-fe-autocomplete
also as side note the autcomplete attribute seems to be added only in HTML5 version https://www.w3.org/TR/html401/interact/forms.html#h-17.4 though I might have misinterpreted the standards.

Comment 2 Veaceslav Mindru 2017-02-02 14:20:42 UTC
OH Snap. 

I am using: google-chrome  Version 56.0.2924.87 (64-bit), and this happens only in the "Opearting System" tab. 

I tried to ask other colleagues to reproduce this and they are not able :(. 

VM

Comment 3 Veaceslav Mindru 2017-02-02 14:20:42 UTC
OH Snap. 

I am using: google-chrome  Version 56.0.2924.87 (64-bit), and this happens only in the "Opearting System" tab. 

I tried to ask other colleagues to reproduce this and they are not able :(. 

VM

Comment 4 Veaceslav Mindru 2017-02-02 14:27:39 UTC
Version 57.0.2987.19 (Official Build) dev (64-bit) - I am able to reproduce with latest beta version. As a side node I tried to remove all applications and disable all extensions to make this go away, no luck. 

Nether the less this is still caused due to autocomplete=off this attr simply should not be there, there is no data a browser should prefill instead of Sat6 Operator.

Comment 5 Veaceslav Mindru 2017-02-02 14:42:24 UTC
Ok I have found what exactly get's prefilled into those fields, this is saved "user/password" data it pre feels the login. 

and found the reason  credit for the fellow http://stackoverflow.com/a/15917221/5534949 

```
I've just found that if you have a remembered username and password for a site, the current version of Chrome will autofill your username/email address into the field before any type=password field. It does not care what the field is called - just assumes the field before password is going to be your username.
```

and we do have a password field under OS tab.

Comment 6 Veaceslav Mindru 2017-02-02 14:45:33 UTC
as solution I suggest following:


1) get rid of autcomplete at all cause it makes no sens there 
2) if autcomplete is a must for some strange reason maybe make it autocomplete="false" 
3) or autocomplete="new-password" on the password field, we don't want it there at all. 


VM

Comment 10 Tomer Brisker 2017-08-15 14:10:05 UTC
Created redmine issue http://projects.theforeman.org/issues/20610 from this bug

Comment 11 pm-sat@redhat.com 2017-08-15 16:09:45 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 12 pm-sat@redhat.com 2017-08-15 16:09:48 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 13 pm-sat@redhat.com 2017-08-16 20:09:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20610 has been resolved.

Comment 14 Lukáš Hellebrandt 2017-12-18 10:49:57 UTC
Verified with 6.3 snap 29.

Used Chromium 56.0.2924.87 (in OpenSUSE Docker container, zypper install chromium in correct version, ssh -X to the container and run 'chromium --no-sandbox').

On the Satellite, have some kickstart channel synced. Hosts -> Create, fill in CV, CS, LE. Tab Operating System, fill in arch, OS, Medium, Partition table. Nothing gets prefilled in the process, no problems noticed. Fill in the rest of required fields, submit -> the dialogue works.

Comment 15 Bryan Kearney 2018-02-21 16:44:13 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 16 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Comment 17 John Trammell 2019-09-20 16:41:47 UTC
Confirmed this bug still exists in Satellite 6.5 with Chrome 76.0.3809.132 (Official Build) (64-bit).


Note You need to log in before you can comment on or make changes to this bug.